## pychromecast 0.7.7

=== requirements.txt ===
requests>=2.0
protobuf==3.0.0b2
zeroconf>=0.17.4
six>=1.10.0

## pychromecast 0.7.3

=== debian/changelog ===
pychromecast (0.7.3-3) unstable; urgency=medium

  * Added missing versioned dependency on python-protobuf. (Closes: #835578)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 27 Aug 2016 10:57:01 +0200

pychromecast (0.7.3-2) unstable; urgency=medium

  * Removed patch for Protobuf 2 support since Protobuf 3 now is in
    Debian.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 23 Aug 2016 21:40:11 +0200

pychromecast (0.7.3-1) unstable; urgency=low

  * Initial release (Closes: #786730)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 06 May 2016 22:19:25 +0200

=== debian/control ===
Source: pychromecast
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools
# Add these when python3-protobuf is in Debian:
#               python3-all,
#               python3-setuptools
Standards-Version: 3.9.8
# Remove this line when python3-protobuf is in Debian:
X-Python3-Version: none
Homepage: https://github.com/balloob/pychromecast
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pychromecast.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pychromecast.git

Package: python-pychromecast
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-protobuf (>= 3)
Description: Library to communicate with Google Chromecast
 This library makes it easy to communicate with a Chromecast device using
 Python.
 .
 It currently supports:
 .
  - Auto discovering connected Chromecasts on the network
  - Start the default media receiver and play any online media
  - Control playback of current playing media
  - Implement Google Chromecast API v2
  - Communicate with apps via channels
  - Easily extendable to add support for unsupported namespaces


# Uncomment this part when python3-protobuf is in Debian:
#
#Package: python3-pychromecast
#Architecture: all
#Depends: ${python3:Depends}, ${misc:Depends}, python3-zeroconf, python3-protobuf (>= 3)
## Supposed to be Depends, but package is not yet in Debian:
#Recommends: python3-protobuf
#Description: Library to communicate with Google Chromecast (Python 3)
# This library makes it easy to communicate with a Chromecast device using
# Python.
# .
# It currently supports:
# .
#  - Auto discovering connected Chromecasts on the network
#  - Start the default media receiver and play any online media
#  - Control playback of current playing media
#  - Implement Google Chromecast API v2
#  - Communicate with apps via channels
#  - Easily extendable to add support for unsupported namespaces
# .
# This package contains the Python 3 version of pychromecast

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1



# Add "--with python3" when python3-protobuf is in Debian:
%:
	dh $@ --with python2 --buildsystem=pybuild


override_dh_clean:
	dh_clean
	rm -rf PyChromecast.egg-info

## pychromecast 0.7.7

=== debian/changelog ===
pychromecast (0.7.7-2) unstable; urgency=medium

  * Enable build of python3-pychromecast.
  * debian/control:
    - Added build-dependencies needed by test suite
  * debian/rules:
    - Use pybuild to determine which files belong to which package
  * debian/README.source, debian/README.debian
    - Deleted these files since they are outdated after python3-pychromecast
      got included

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 11 Dec 2016 18:53:47 +0100

pychromecast (0.7.7-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 27 Oct 2016 22:11:42 +0200

pychromecast (0.7.4-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 26 Sep 2016 19:46:53 +0200

## pychromecast 0.8.1

=== requirements.txt ===
requests>=2.0
protobuf>=3.0.0
zeroconf>=0.17.7
six>=1.10.0

=== debian/changelog ===
pychromecast (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Uploaded to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 13 Jul 2017 19:29:03 +0000

pychromecast (0.8.0-1~exp1) experimental; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 17 Mar 2017 15:42:29 +0100

=== debian/control ===
Source: pychromecast
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python3-protobuf,
               python3-requests,
               python3-zeroconf
Standards-Version: 3.9.8
Homepage: https://github.com/balloob/pychromecast
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pychromecast.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pychromecast.git

Package: python-pychromecast
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-protobuf (>= 3)
Description: Library to communicate with Google Chromecast
 This library makes it easy to communicate with a Chromecast device using
 Python.
 .
 It currently supports:
 .
  - Auto discovering connected Chromecasts on the network
  - Start the default media receiver and play any online media
  - Control playback of current playing media
  - Implement Google Chromecast API v2
  - Communicate with apps via channels
  - Easily extendable to add support for unsupported namespaces


Package: python3-pychromecast
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-zeroconf, python3-protobuf (>= 3)
Description: Library to communicate with Google Chromecast (Python 3)
 This library makes it easy to communicate with a Chromecast device using
 Python.
 .
 It currently supports:
 .
  - Auto discovering connected Chromecasts on the network
  - Start the default media receiver and play any online media
  - Control playback of current playing media
  - Implement Google Chromecast API v2
  - Communicate with apps via channels
  - Easily extendable to add support for unsupported namespaces
 .
 This package contains the Python 3 version of pychromecast

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1


export PYBUILD_NAME = pychromecast

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_clean:
	dh_clean
	rm -rf PyChromecast.egg-info

## pychromecast 2.3.0

=== debian/changelog ===
pychromecast (2.3.0-1) unstable; urgency=medium

  [ Ruben Undheim ]
  * New upstream release
  * Drop python2 binding (Closes: #894808)
  * DH level 11
  * debian/control:
    - New standards version 4.2.1 - no changes
    - Remove build-depdencies not needed anymore
  * debian/upstream/metadata: added upstream metadata

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 28 Sep 2018 21:18:29 +0200

pychromecast (1.0.3-1) unstable; urgency=medium

  [ Ruben Undheim ]
  * New upstream version - (last version which officially supports
    Python 2)
  * d/control: New standards version 4.1.5 - no changes

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 13 Jul 2018 21:05:52 +0200

## pychromecast 2.4.0

=== debian/changelog ===
pychromecast (2.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 29 Jan 2019 15:02:27 +0000

=== debian/control ===
Source: pychromecast
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-protobuf,
               python3-requests,
               python3-zeroconf
Standards-Version: 4.2.1
Homepage: https://github.com/balloob/pychromecast
Vcs-Browser: https://salsa.debian.org/python-team/modules/pychromecast
Vcs-Git: https://salsa.debian.org/python-team/modules/pychromecast.git

Package: python3-pychromecast
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-zeroconf, python3-protobuf (>= 3)
Description: Library to communicate with Google Chromecast (Python 3)
 This library makes it easy to communicate with a Chromecast device using
 Python.
 .
 It currently supports:
 .
  - Auto discovering connected Chromecasts on the network
  - Start the default media receiver and play any online media
  - Control playback of current playing media
  - Implement Google Chromecast API v2
  - Communicate with apps via channels
  - Easily extendable to add support for unsupported namespaces
 .
 This package contains the Python 3 version of pychromecast

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1


export PYBUILD_NAME = pychromecast

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_clean:
	dh_clean
	rm -rf PyChromecast.egg-info

=== debian/watch ===
version=3
https://github.com/balloob/pychromecast/releases /balloob/pychromecast/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## pychromecast 4.1.0

=== debian/changelog ===
pychromecast (4.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Ruben Undheim ]
  * New upstream release
  * debian/control:
    - New standards version 4.4.0 - no changes
    - DH level 12

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 18 Oct 2019 21:42:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-protobuf,
                python3-requests,
                python3-zeroconf
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/balloob/pychromecast
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pychromecast
 Vcs-Git: https://salsa.debian.org/python-team/modules/pychromecast.git

## pychromecast 7.1.1

=== debian/changelog ===
pychromecast (7.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 11 Jul 2020 18:45:04 +0200

pychromecast (5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the upstream URL.
  * Bump python3-zeroconf dependency.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 13 May 2020 14:51:24 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python3-setuptools,
                python3-protobuf,
                python3-requests,
-               python3-zeroconf
-Standards-Version: 4.4.0
-Homepage: https://github.com/balloob/pychromecast
+               python3-zeroconf (>= 0.25.1~)
+Standards-Version: 4.5.0
+Homepage: https://github.com/home-assistant-libs/pychromecast
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pychromecast
 Vcs-Git: https://salsa.debian.org/python-team/modules/pychromecast.git

=== debian/watch ===
version=3
https://github.com/home-assistant-libs/pychromecast/releases /home-assistant-libs/pychromecast/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## pychromecast 7.7.1

=== debian/changelog ===
pychromecast (7.7.1-2) unstable; urgency=medium

  * Update the upstream metadata.
  * Add a bugfix patch submitted upstream to unbreak live streams.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 08 Jan 2021 09:19:32 +0100

pychromecast (7.7.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1
  * debhelper-compat 13
  * d/control:
    - Rules-Requires-Root: no
    - Testsuite: autopkgtest-pkg-python
  * d/copyright:
    - Remove trailing whitespace in debian/copyright
  * Add salsa-ci file
  * d/watch: Update watch file format version to 4.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 27 Dec 2020 16:31:05 +0100

=== debian/control ===
Source: pychromecast
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-protobuf,
               python3-requests,
               python3-zeroconf (>= 0.25.1~)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/pychromecast
Vcs-Git: https://salsa.debian.org/python-team/packages/pychromecast.git
Homepage: https://github.com/home-assistant-libs/pychromecast
Rules-Requires-Root: no

Package: python3-pychromecast
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-zeroconf,
         python3-protobuf
Description: Library to communicate with Google Chromecast (Python 3)
 This library makes it easy to communicate with a Chromecast device using
 Python.
 .
 It currently supports:
 .
  - Auto discovering connected Chromecasts on the network
  - Start the default media receiver and play any online media
  - Control playback of current playing media
  - Implement Google Chromecast API v2
  - Communicate with apps via channels
  - Easily extendable to add support for unsupported namespaces
 .
 This package contains the Python 3 version of pychromecast

=== debian/watch ===
version=4
https://github.com/home-assistant-libs/pychromecast/releases /home-assistant-libs/pychromecast/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## pychromecast 9.4.0

=== debian/changelog ===
pychromecast (9.4.0-2) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: add dependency on python3-requests. (Closes: #1006144)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 03 May 2022 21:53:49 -0400

pychromecast (9.4.0-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Use dh-sequence-python3.
  * Clean egg-info in debian/clean.
  * Drop patches applied upstream.
  * Drop unnecessary PYBUILD_NAME.
  * Backport patches from newer upstream releases.
  * Revert upstream patch dropping Spotify controller.

  [ Debian Janitor ]
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 09 Feb 2022 22:27:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-protobuf,
                python3-requests,
                python3-zeroconf (>= 0.25.1~)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pychromecast
 Vcs-Git: https://salsa.debian.org/python-team/packages/pychromecast.git
 Homepage: https://github.com/home-assistant-libs/pychromecast
@@ -22,7 +22,8 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-zeroconf,
-         python3-protobuf
+         python3-protobuf,
+         python3-requests,
 Description: Library to communicate with Google Chromecast (Python 3)
  This library makes it easy to communicate with a Chromecast device using
  Python.

=== debian/watch ===
version=4
https://github.com/home-assistant-libs/pychromecast/releases /home-assistant-libs/pychromecast/archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

## pychromecast 10.2.3

=== debian/changelog ===
pychromecast (10.2.3-2) experimental; urgency=medium

  * Upload to experimental.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 09 Feb 2022 22:32:42 +0100

pychromecast (10.2.3-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Use dh-sequence-python3.
  * Clean egg-info in debian/clean.
  * Drop patches applied upstream.
  * Drop unnecessary PYBUILD_NAME.

  [ Debian Janitor ]
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 09 Feb 2022 22:04:43 +0100

## pychromecast 14.0.9

=== debian/changelog ===
pychromecast (14.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, no longer required.
  * Fix autopkgtest on Python 3.14 by avoiding the broken C backend of
    python-protobuf and forcing the pure-Python implementation.
  * Include examples.
  * Add my name to copyright and Uploaders.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.

 -- Edward Betts <edward@4angle.com>  Tue, 30 Dec 2025 18:43:59 +0000

=== debian/control ===
Source: pychromecast
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ruben Undheim <ruben.undheim@gmail.com>,
 Edward Betts <edward@4angle.com>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-protobuf,
 python3-requests,
 python3-setuptools,
 python3-zeroconf (>= 0.25.1~),
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/pychromecast
Vcs-Git: https://salsa.debian.org/python-team/packages/pychromecast.git
Homepage: https://github.com/home-assistant-libs/pychromecast

Package: python3-pychromecast
Architecture: all
Depends:
 python3-protobuf,
 python3-requests,
 python3-zeroconf,
 ${misc:Depends},
 ${python3:Depends},
Description: Library to communicate with Google Chromecast (Python 3)
 This library makes it easy to communicate with a Chromecast device using
 Python.
 .
 It currently supports:
 .
  - Auto discovering connected Chromecasts on the network
  - Start the default media receiver and play any online media
  - Control playback of current playing media
  - Implement Google Chromecast API v2
  - Communicate with apps via channels
  - Easily extendable to add support for unsupported namespaces
 .
 This package contains the Python 3 version of pychromecast

=== debian/tests/control ===
Tests: import-all
Depends: @, python3-all
Restrictions: superficial

=== debian/watch ===
Version: 5

Template: Github
Owner: home-assistant-libs
Project: pychromecast
